# Papers

More detailed information is available in our papers:

* &#x20;[CHI ‘17](https://web.archive.org/web/20180831211003/http://barowy.net/papers/voxpl-chi.pdf): **VoxPL: Programming with the Wisdom of the Crowd**\
  &#x20;Daniel W. Barowy, Emery D. Berger, Daniel G. Goldstein, and Siddharth Suri
  * [talk slides](https://web.archive.org/web/20180831211003/https://s3.amazonaws.com/dbarowy-cics-assets/VoxPL-CHI-2017.key)
* &#x20;[CACM RH ‘16](https://web.archive.org/web/20180831211003/http://dl.acm.org/citation.cfm?id=2927928): **AutoMan: A Platform for Integrating Human-Based and Digital Computation (Research Highlight)**\
  &#x20;Daniel W. Barowy, Charlie Curtsinger, Emery D. Berger, and Andrew McGregor
* &#x20;[OOPSLA ‘12](https://web.archive.org/web/20180831211003/http://www.cs.umass.edu/~emery/pubs/res0007-barowy.pdf): **AutoMan: A Platform for Integrating Human-Based and Digital Computation**\
  &#x20;Daniel W. Barowy, Charlie Curtsinger, Emery D. Berger, and Andrew McGregor
  * [talk slides](https://web.archive.org/web/20180831211003/https://s3.amazonaws.com/dbarowy-cics-assets/automan_oopsla_2012.ppt)
* [Tech report UMass CS TR 2011-44](https://web.archive.org/web/20180831211003/http://www.cs.umass.edu/~emery/pubs/AutoMan-UMass-CS-TR2011-44.pdf)
* Second Workshop on Computational Social Science and the Wisdom of Crowds, ‘11
  * [NIPS poster](https://web.archive.org/web/20180831211003/https://s3.amazonaws.com/dbarowy-cics-assets/automan_nips_poster.jpg)
  * [NIPS workshop paper](https://web.archive.org/web/20180831211003/http://web.archive.org/web/20160808010421id_/https://people.cs.umass.edu/~wallach/workshops/nips2011css/papers/Barowy.pdf)

There are two versions of the original AutoMan paper, a shortened Research Highlight that appeared in the June 2016 issue of the Communications of the ACM and a longer version that appeared at OOPSLA 2012. You should probably start with the CACM version which has a bit more polish and some updated results.

The VoxPL paper describes our approach to automate the original wisdom of the crowd task, estimation. We introduce a novel quality control algorithm and describe how we rebuilt AutoMan’s architecture to handle these new kinds of tasks.

Full citations are given below:

*VoxPL*

```javascript
@inproceedings{Barowy:2017:VPW:3025453.3026025,
 author = {Barowy, Daniel W. and Berger, Emery D. and Goldstein, Daniel G. and Suri, Siddharth},
 title = {VoxPL: Programming with the Wisdom of the Crowd},
 booktitle = {Proceedings of the 2017 CHI Conference on Human Factors in Computing Systems},
 series = {CHI '17},
 year = {2017},
 isbn = {978-1-4503-4655-9},
 location = {Denver, Colorado, USA},
 pages = {2347--2358},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/3025453.3026025},
 doi = {10.1145/3025453.3026025},
 acmid = {3026025},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {crowdprogramming, crowdsourcing, domain-specific languages, quality control, scalability, wisdom of the crowd},
}
```

*AutoMan (Communications of the ACM Research Highlight)*

```javascript
@article{Barowy:2016:API:2942427.2927928,
 author = {Barowy, Daniel W. and Curtsinger, Charlie and Berger, Emery D. and McGregor, Andrew},
 title = {AutoMan: A Platform for Integrating Human-based and Digital Computation},
 journal = {Commun. ACM},
 issue_date = {June 2016},
 volume = {59},
 number = {6},
 month = may,
 year = {2016},
 issn = {0001-0782},
 pages = {102--109},
 numpages = {8},
 url = {http://doi.acm.org/10.1145/2927928},
 doi = {10.1145/2927928},
 acmid = {2927928},
 publisher = {ACM},
 address = {New York, NY, USA},
}
```

*AutoMan (original)*

```javascript
@inproceedings{Barowy:2012:API:2384616.2384663,
 author = {Barowy, Daniel W. and Curtsinger, Charlie and Berger, Emery D. and McGregor, Andrew},
 title =  {{AutoMan} : a platform for integrating human-based and digital computation},
 booktitle = {Proceedings of the ACM International Conference on Object-Oriented Programming Systems Languages and Applications},
 series = {OOPSLA '12},
 year = {2012},
 isbn = {978-1-4503-1561-6},
 location = {Tucson, Arizona, USA},
 pages = {639--654},
 numpages = {16},
 url = {http://doi.acm.org/10.1145/2384616.2384663},
 doi = {10.1145/2384616.2384663},
 acmid = {2384663},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {crowdsourcing, programming languages, quality control},
}
```

Contact information:

Dan Barowy, <dbarowy@cs.williams.edu> Emery Berger, <emery@cs.umass.edu>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.automanlang.org/technical-documentation/papers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
